Send PIN Reset Email by Username

Sends a PIN reset Email to the User IDentified by their Username, enabling them to reset their PIN if forgotten.

POST
/identity/v2/auth/pin/forgot/username

Sends a PIN reset Email to the User IDentified by their Username, enabling them to reset their PIN if forgotten.

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

emailtemplate?string

Name of the Email template to use for this notification.

resetpinurl?string

Reset PIN URL

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

username*string

The Username of the User.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/identity/v2/auth/pin/forgot/username?emailtemplate=Email-Template&resetpinurl=https%3A%2F%2Fexample.com%2Fresetpin" \  -H "Content-Type: application/json" \  -d '{    "username": "jamesbond"  }'
{
  "IsPosted": true
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The apikey is a required parameter."
}

{
  "errorCode": 1409,
  "message": "Authentication failed",
  "description": "The credentials provided could not be authenticated."
}

{
  "ErrorCode": 901,
  "Message": "The API key is unauthorized",
  "Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}